<script setup>

import Sidebar from "@/components/Sidebar.vue";
import DashboardView from "@/views/DashboardView.vue";
import {onMounted} from "vue";
import axios from "axios";
import {useGroupStore} from "@/stores/group";
import {useTrainerStore} from "@/stores/trainer";
import {useStudentStore} from "@/stores/student";
import {useRoomStore} from "@/stores/room";
import {useLessonStore} from "@/stores/lesson";
import {useEnumStore} from "@/stores/enumStore";

onMounted(async () => {
  const data = await axios.get('/api/alldata')
  const dataResp = data.data

  useTrainerStore().trainers = dataResp.trainerDTOSet
  useStudentStore().students = dataResp.studentDTOSet
  useGroupStore().groups = dataResp.groupDTOSet
  useRoomStore().rooms = dataResp.roomDTOSet
  useLessonStore().lessons = dataResp.lessonDTOSet
  useEnumStore().employmentTypes = dataResp.employmentTypes
  useEnumStore().specializations = dataResp.specializations
  useEnumStore().subjects = dataResp.subjects
  useEnumStore().weekdays = dataResp.weekdays

})


</script>

<template>
  <header>

  </header>
  <main>

    <RouterView></RouterView>

  </main>


</template>

<style>

</style>
